# Event Types

Our event types are designed following the `resource.event` and `resource.subresource.event` format for your intuitive coding. As new event types will be added as we roll out more features or make updates to existing ones, we recommend you to revisit this list whenever you receive a new event type.

#### Live entity and session related

> **`live_entities.created`**    *`data.object`* *is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)*.*
>
> Occurs whenever a live entity is created.

> **`live_entities.updated`**    *`data.object`* *is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)*.*
>
> Occurs whenever a live entity is updated.

> **`live_entities.deleted`**    *`data.object` is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)*.*
>
> Occurs whenever a live entity is deleted.

> **`live_entities.ready`**    *`data.object`* *is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)*.*
>
> Occurs whenever the `status` of a live entity is changed to `ready`. This event indicates that the live entity you created is ready to ingest and broadcast.

> **`live_entities.publish`**    *`data.object`* *contains a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities) *and its* [*`live_session`*](https://docs.uiza.io/api-reference/live-sessions)*.*
>
> Occurs whenever a live entity receives the first live signal of a live session.

> **`video_entities.created`**    *`data.object`* is a [`video_entity`](https://docs.uiza.io/api-reference/video-entities)
>
> Occurs when a user sends a signal with DVR set to `true` . This event happens after **`live_entities.publish`** and indicates the creation of a new live record from the user's live feed. Uiza creates a record as **video entity.**

> **`live_entities.publish_done`**    *`data.object`* *contains a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities) *and its* [*`live_session`*](https://docs.uiza.io/api-reference/live-sessions)*.*
>
> Occurs whenever a live session ends.

> **`live_entities.resource.accepted`**    *`data.object`* *is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)*.*
>
> Occurs whenever Uiza has successfully allocated resources for your live entity following its creation.

> **`live_entities.resource.denied`**    *`data.object`* *contains a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities) *and its* [*`live_session`*](https://docs.uiza.io/api-reference/live-sessions)*.*
>
> Occurs whenever Uiza could not allocate resources for your live entity. Uiza typically retries several times before creating this type of event. The `retry` attribute indicates the retry count.

> **`live_entities.dns.updating`***`data.object`* *is a* [*`live_entity`*](https://docs.uiza.io/api-reference/live-entities)
>
> Occurs when the `live_entity` was created and having resource and wait for `ingest.url` to be updated, this event also occurs when Uiza system re-allocating resource for `live_entity`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2020-05-28-1/api-reference/events/event-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
